<?php

$route['*']['/emailtext'] = array('ErrorController', 'emailtext');

$route['*']['/category/list.json'] = array('SoftController', 'categoryApi');
$route['*']['/product/list.json'] = array('SoftController', 'productApi');
$route['post']['/longle/list/add'] = array('SoftController', 'addLockApi');
$route['get']['/longle/test'] = array('SoftController', 'longleTest');


//官网查询真伪
$route['*']['/api/getAuthentication'] = array('AuthenticationController', 'getAuthentication', 'authFailURL' => './error/loginFail');
$route['*']['/api/getAuthenticationBySerial'] = array('AuthenticationController', 'getAuthenticationBySerial', 'authFailURL' => './error/loginFail');

//$route['*']['/emailText'] = array('MainController', 'a');

$route['*']['/adminlock'] = array('MainController', 'adminLock');
$route['*']['/statistics'] = array('MainController', 'keyStatistics');
$route['*']['/'] = array('MainController', 'logStatistics');
$route['*']['/index/:cid'] = array('MainController', 'index2');
$route['*']['/index'] = array('MainController', 'index2');
$route['*']['/indexPage'] = array('MainController', 'indexPage');
$route['*']['/logStatistics'] = array('MainController', 'logStatistics');
$route['*']['/longleStatistics'] = array('MainController', 'longleStatistics');
$route['*']['/communication'] = array('MainController', 'communication');
$route['*']['/login'] = array('MainController', 'login');
$route['*']['/login/do'] = array('MainController', 'login');
$route['*']['/out'] = array('MainController', 'out');
$route['*']['/receive'] = array('MainController', 'receive');
$route['*']['/doLongleReceive'] = array('MainController', 'doLongleReceive');
$route['*']['/contacts'] = array('MainController', 'contacts');
$route['*']['/remind/CL/:rid'] = array('MainController', 'remindCL');
$route['*']['/searchMyClient'] = array('MainController', 'contacts');
$route['*']['/searchMyCompany/:search/:page'] = array('MainController', 'mycompany');
$route['*']['/searchMyCompany/:search/:page/:lv1/:lv2/:lv3'] = array('MainController', 'mycompany');
$route['*']['/searchMyClient/:search/:page/:lv1/:lv2/:lv3'] = array('MainController', 'contacts');
$route['*']['/ajaxGetLongleN'] = array('MainController', 'ajaxGetLongleN');
$route['*']['/searchMyClient/:search/:page'] = array('MainController', 'contacts');
$route['*']['/ajaxGetLv2'] = array('MainController', 'ajaxGetLv2');
$route['*']['/keyonline'] = array('MainController', 'keyonline');
$route['*']['/searchlongle'] = array('MainController', 'keyonline');
$route['*']['/keyonline/:lid'] = array('MainController', 'keyonline');
$route['*']['/keyonline/:year/:cid/:staff/:status'] = array('MainController', 'keyonline');
$route['*']['/keyonline/:year/:cid/:staff/:status/:lid'] = array('MainController', 'keyonline');
$route['*']['/ajaxGetLongle'] = array('MainController', 'ajaxGetLongle');
$route['*']['/ajaxEditCompany'] = array('MainController', 'ajaxEditCompany');
$route['*']['/doEditCompanyD'] = array('MainController', 'doEditCompanyD');
$route['*']['/ajaxGetLongleByName'] = array('MainController', 'ajaxGetLongleByName');
$route['*']['/mycompany'] = array('MainController', 'mycompany');
$route['*']['/searchMyCompany'] = array('MainController', 'mycompany');
$route['*']['/ajaxSetCompanyAddress'] = array('MainController', 'ajaxSetCompanyAddress');
$route['*']['/backUpActionLog'] = array('MainController', 'backUpActionLog');
$route['*']['/addDoLockLog'] = array('MainController', 'addDoLockLog');
$route['*']['/ajaxAddServiceLog'] = array('MainController', 'ajaxAddServiceLog');
$route['*']['/ajaxClientInfo'] = array('MainController', 'ajaxClientInfo');
$route['*']['/AddClientInfo'] = array('MainController', 'AddClientInfo');
$route['*']['/ajaxGetCompany'] = array('MainController', 'ajaxGetCompany');
$route['*']['/ajaxGetCompanyByAdd'] = array('MainController', 'ajaxGetCompanyByAdd');
$route['*']['/addClient'] = array('MainController', 'addClient');
$route['*']['/searchClient'] = array('MainController', 'searchClient');
$route['*']['/searchCompany'] = array('MainController', 'searchCompany');
$route['*']['/checkClient'] = array('MainController', 'checkClient');
$route['*']['/checkCompany'] = array('MainController', 'checkCompany');
$route['*']['/updateChangeCompany'] = array('MainController', 'updateChangeCompany');
$route['*']['/avatarCM/:vid'] = array('MainController', 'avatarCM');
$route['*']['/adminlock/:emsg'] = array('MainController', 'adminLock');
$route['*']['/adminmyinfo'] = array('MainController', 'adminmyinfo');
$route['*']['/adminmyinfo/:msg'] = array('MainController', 'adminmyinfo');
$route['*']['/adminoffice/:msg'] = array('MainController', 'adminoffice');
$route['*']['/admincontacts'] = array('MainController', 'admincontacts');

//admin
//后台
$route['*']['/adlogin'] = array('AdminController', 'adlogin', 'authFailURL' => './error/loginFail');
$route['*']['/adlogin/do'] = array('AdminController', 'adlogin');
$route['*']['/adout'] = array('AdminController', 'adout');
$route['*']['/adminpw'] = array('AdminController', 'adminPW');
$route['*']['/adminpw/:msg'] = array('AdminController', 'adminPW');
$route['*']['/upAdP'] = array('AdminController', 'upAdP');
$route['*']['/adoffice'] = array('AdminController', 'adminoffice');
$route['*']['/adminoffice'] = array('AdminController', 'adminoffice');
$route['*']['/addCategory'] = array('AdminController', 'addCategory');
$route['*']['/adminuser'] = array('AdminController', 'adminuser');
$route['*']['/adduser'] = array('AdminController', 'adduser');
$route['*']['/edi/user/:sid'] = array('AdminController', 'adminEdiUser');
$route['*']['/edi/user/:sid/:msg'] = array('AdminController', 'adminEdiUser');
$route['*']['/admin/reset/pw/:sid'] = array('AdminController', 'adminResetUserPw');
$route['*']['/adminDoEdiUser'] = array('AdminController', 'adminDoEdiUser');
$route['*']['/adminDoAddCategory'] = array('AdminController', 'adminDoAddCategory');
$route['*']['/delete/user/:sid'] = array('AdminController', 'adminDeleteUser');
$route['*']['/adminproduct'] = array('AdminController', 'adminproduct');
$route['*']['/addproduct'] = array('AdminController', 'addproduct');
$route['*']['/adminDeleteProduct/:pid'] = array('AdminController', 'adminDeleteProduct');
$route['*']['/adminEdiProduct/:pid'] = array('AdminController', 'adminEdiProduct');
$route['*']['/adminDoEdiProduct'] = array('AdminController', 'adminDoEdiProduct');
$route['*']['/adminverify'] = array('AdminController', 'adminverify');
$route['*']['/addVerify'] = array('AdminController', 'addVerify');
$route['*']['/adminExecute'] = array('AdminController', 'adminExecute');
$route['*']['/addExecute'] = array('AdminController', 'addExecute');
$route['*']['/delExecute/:uid/:eid'] = array('AdminController', 'delExecute');
$route['*']['/adminReceiptAuthority'] = array('AdminController', 'adminReceiptAuthority');
$route['*']['/addReceiptAuthorityManage'] = array('AdminController', 'addReceiptAuthorityManage');
$route['get']['/delReceiptAuthorityManage/:sidKey/:icidKey'] = array('AdminController', 'delReceiptAuthorityManage');
$route['*']['/delUserDistrictAuthor/:didKey/:sidKey'] = array('AdminController', 'delUserDistrictAuthor');

$route['*']['/adminPaymentsAuthority'] = array('AdminController', 'adminPaymentsAuthority');
$route['*']['/adminReceiptLecturer'] = array('AdminController', 'adminReceiptLecturer');
$route['*']['/adminReceiptLecturerAddDo'] = array('AdminController', 'adminReceiptLecturerAddDo');
$route['*']['/adminReceiptLecturerDelDo/:lidKey'] = array('AdminController', 'adminReceiptLecturerDelDo');

$route['*']['/adminInvoiceTrain'] = array('AdminController', 'adminInvoiceTrain');
$route['*']['/delInvoiceTrainManage/:sidKey/:icidKey'] = array('AdminController', 'delInvoiceTrainManage');
$route['*']['/addInvoiceTrainManage'] = array('AdminController', 'addInvoiceTrainManage');

$route['*']['/addRole'] = array('AdminController', 'addRole');
$route['*']['/adminRole'] = array('AdminController', 'adminRole');
$route['*']['/delRole/:rid'] = array('AdminController', 'delRole');
$route['*']['/ajaxRoleStaff'] = array('AdminController', 'ajaxRoleStaff');
$route['*']['/updateRole'] = array('AdminController', 'updateRole');

/* 培训班结算营收权限设置 */
$route['*']['/adminReceiptTrain'] = array('AdminController', 'adminReceiptTrain');
$route['*']['/addReceiptTrainManage'] = array('AdminController', 'addReceiptTrainManage');
$route['*']['/delReceiptTrainManage/:sidKey/:icidKey'] = array('AdminController', 'delReceiptTrainManage');


/* 报销单新流程 */
$route['*']['/saeaBorad'] = array('ReceiptController', 'saeaBorad');
$route['*']['/saeaLoanAdd'] = array('ReceiptController', 'saeaLoanAdd');
$route['*']['/saeaLoanAddDo'] = array('ReceiptController', 'saeaLoanAddDo');
$route['*']['/expenses'] = array('ReceiptController', 'expenses');
$route['*']['/expenses/:item'] = array('ReceiptController', 'expenses');
$route['*']['/expensesCollect/:rid'] = array('ReceiptController', 'expensesCollect');
$route['*']['/saeaLoanEdi/:rid'] = array('ReceiptController', 'saeaLoanEdi','extension'=>'.html');
$route['*']['/saeaLoanEdiDo'] = array('ReceiptController', 'saeaLoanEdiDo');
$route['*']['/confirmation/:rid'] = array('ReceiptController', 'confirmation');
$route['*']['/approvalExpenses'] = array('ReceiptController', 'approvalExpenses');
$route['*']['/approvalExpenses/:status'] = array('ReceiptController', 'approvalExpenses');
//审批请求
$route['*']['/expensesEdi/:rid'] = array('ReceiptController', 'expensesEdi');
$route['*']['/expensesDefray'] = array('ReceiptController', 'expensesDefray');
$route['*']['/receiptburEdi/:rid'] = array('ReceiptController', 'receiptburEdi');
$route['*']['/updateApprovalReceipt'] = array('ReceiptController', 'updateApprovalReceipt');
$route['*']['/remitApproval/:rid'] = array('ReceiptController', 'remitApproval');
//执行请求
$route['post']['/exportRemittance'] = array('ReceiptController', 'exportRemittance');
$route['*']['/implement/:rid'] = array('ReceiptController', 'implement','extension'=>'.html');
$route['*']['/approvalExpenses/:status/:page'] = array('ReceiptController', 'approvalExpenses');
$route['*']['/saeaLoanReceiptAdd/:rid'] = array('ReceiptController', 'saeaLoanReceiptAdd');
$route['*']['/saeaLoanReceiptAddDo'] = array('ReceiptController', 'saeaLoanReceiptAddDo');
$route['*']['/saeaLoanReceiptEdi/:rid'] = array('ReceiptController', 'saeaLoanReceiptEdi','extension'=>'.html');
$route['*']['/implementDo'] = array('ReceiptController', 'implementDo');
$route['*']['/ajaxExamineExe'] = array('ReceiptController', 'ajaxExamineExe');
$route['*']['/remitAdd'] = array('ReceiptController', 'remitAdd');
$route['*']['/remitAddDo'] = array('ReceiptController', 'remitAddDo');
$route['*']['/remitEdit/:rid'] = array('ReceiptController', 'remitEdit','extension'=>'.html');
$route['*']['/remitEdiDo'] = array('ReceiptController', 'remitEdiDo');
$route['*']['/expensesDoc/:rid'] = array('ReceiptController', 'expensesDoc');
$route['*']['/expensesRetreats/:rid'] = array('ReceiptController', 'expensesRetreats');
$route['*']['/hisImplement'] = array('ReceiptController', 'hisImplement');
$route['*']['/hisImplement/:item'] = array('ReceiptController', 'hisImplement');
$route['*']['/remittanceHky'] = array('ReceiptController', 'remittanceHky');
$route['*']['/remittanceHky/:k/:page'] = array('ReceiptController', 'remittanceHky');
$route['*']['/remittancep/:timeStamp'] = array('ReceiptController', 'remittancep','extension'=>'.html');
$route['*']['/ajaxGetReceiptDetails'] = array('ReceiptController', 'ajaxGetReceiptDetails');
$route['post']['/ajaxRemEnclousur'] = array('ReceiptController', 'ajaxRemEnclousur');
$route['*']['/myReceipt'] = array('ReceiptController', 'myReceipt');
$route['*']['/myReceipt/:item'] = array('ReceiptController', 'myReceipt');
$route['*']['/myReceiptCache/:item/:year'] = array('ReceiptController', 'cacheMyReceipt');
$route['*']['/myReceiptCache/:item/:year/:moth'] = array('ReceiptController', 'cacheMyReceipt');
$route['*']['/saeaCreate'] = array('ReceiptController', 'saeaCreate');
$route['*']['/addReceipt'] = array('ReceiptController', 'addReceipt');
$route['*']['/referReceipt/:rid'] = array('ReceiptController', 'referReceipt');
$route['*']['/referReceipt'] = array('ReceiptController', 'referReceipt');
$route['*']['/editReceipt/:rid'] = array('ReceiptController', 'editReceipt','extension'=>'.html');
$route['*']['/updateReceipt'] = array('ReceiptController', 'updateReceipt');
$route['*']['/approvedReceipt/:rid'] = array('ReceiptController', 'approvedReceipt');
$route['*']['/approval'] = array('ReceiptController', 'approval');
$route['*']['/approvalEdi/:rid'] = array('ReceiptController', 'approvalEdi');

$route['*']['/approvalDetails/:rid'] = array('ReceiptController', 'approvalDetails');

$route['*']['/remittance'] = array('ReceiptController', 'remittance', 'authName' =>  'Hello', 'auth' => array('costsmart' => 'costsmart'));//
$route['*']['/approval/:status'] = array('ReceiptController', 'approval');

$route['*']['/approvalChe'] = array('ReceiptController', 'updateCheReceipt');

$route['*']['/revisePrice'] = array('ReceiptController', 'revisePrice');
$route['*']['/personalCollect'] = array('ReceiptController', 'personalCollect');
$route['*']['/personalCollectDetail'] = array('ReceiptController', 'personalCollectDetail');
$route['*']['/companyCategoryCollect'] = array('ReceiptController', 'companyCategoryCollect');
$route['*']['/categoryCollectDetail/:cid'] = array('ReceiptController', 'categoryCollectDetail');
$route['*']['/categoryCollectDetail'] = array('ReceiptController', 'categoryCollectDetail');
$route['*']['/staffCollect'] = array('ReceiptController', 'staffCollect');
$route['*']['/staffCollectDetail/:staffname'] = array('ReceiptController', 'staffCollectDetail');
$route['*']['/staffCollectDetail'] = array('ReceiptController', 'staffCollectDetail');
$route['*']['/eMail'] = array('ReceiptController', 'eMail');

$route['*']['/revocationAdjustment/:sidKey/:price/:ridKey/:reviseKey'] = array('ReceiptController', 'revocationAdjustment');

$route['*']['/staffCollectMonthDetail/:year/:month/:nature'] = array('ReceiptController', 'staffCollectMonthDetail');
$route['*']['/staffCollectMonthDetail2/:year/:month'] = array('ReceiptController', 'staffCollectMonthDetail2');

$route['*']['/staffCollectMonthDetail'] = array('ReceiptController', 'staffCollectMonthDetail');
$route['*']['/companyMonthCollectDetail/:year/:month'] = array('ReceiptController', 'companyMonthCollectDetail');
$route['*']['/companyMonthCollectDetail'] = array('ReceiptController', 'companyMonthCollectDetail');
$route['*']['/ajaxGetReceiptOrder'] = array('ReceiptController', 'ajaxGetReceiptOrder');

$route['*']['/swfupload'] = array('ReceiptController', 'swfupload');

$route['*']['/h5Upload'] = array('ReceiptController', 'h5Upload');

//报销单公司汇总
$route['*']['/receiptStatisticsStaffDetail'] = array('ReceiptController', 'receiptStatisticsStaffDetail');

//日常收支
$route['*']['/payments'] = array('ReceiptController', 'payments');
$route['post']['/paymentsIncomeDo'] = array('ReceiptController', 'paymentsIncomeDo');
$route['post']['/paymentsExpenditureDo'] = array('ReceiptController', 'paymentsExpenditureDo');
$route['*']['/paymentsAchieve'] = array('ReceiptController', 'paymentsAchieve');
$route['*']['/paymentsAchieve/:page/:expensesType'] = array('ReceiptController', 'paymentsAchieve');
$route['*']['/ajaxGetPaymentsByAid'] = array('ReceiptController', 'ajaxGetPaymentsByAid');

//$route['post']['/paymentsIncomeUpdateDo'] = array('ReceiptController', 'paymentsIncomeUpdateDo');
//$route['post']['/paymentsExpenditureEdiDo'] = array('ReceiptController', 'paymentsExpenditureEdiDo');

$route['post']['/paymentsDelDo'] = array('ReceiptController', 'paymentsDelDo');
$route['*']['/paymentsCollect'] = array('ReceiptController', 'paymentsCollect');
$route['*']['/paymentsCollectDay'] = array('ReceiptController', 'paymentsCollectDay');

//公司流水
$route['*']['/wasteBook'] = array('ReceiptController', 'wasteBook');
$route['*']['/ajaxGetWasteReceipt'] = array('ReceiptController', 'ajaxGetWasteReceipt');
$route['*']['/ajaxGetWasteinvoiceReceivables'] = array('ReceiptController', 'ajaxGetWasteinvoiceReceivables');
$route['*']['/ajaxGetWasteInvoice'] = array('ReceiptController', 'ajaxGetWasteInvoice');


$route['*']['/wasteBookIncome'] = array('ReceiptController', 'wasteBookIncome');
$route['*']['/wasteBookExpenditure'] = array('ReceiptController', 'wasteBookExpenditure');

//培训班结算
$route['*']['/receiptTrainAdd'] = array('ReceiptController', 'receiptTrainAdd');
$route['*']['/receiptTrainAddDo'] = array('ReceiptController', 'receiptTrainAddDo');
$route['*']['/receiptTrainEdi/:rid'] = array('ReceiptController', 'receiptTrainEdi','extension'=>'.html');
$route['*']['/receiptTrainInfoEdiDo'] = array('ReceiptController', 'receiptTrainInfoEdiDo');
$route['*']['/receiptTrainLoanEdi/:rid'] = array('ReceiptController', 'receiptTrainLoanEdi','extension'=>'.html');
$route['*']['/ajaxGetReceiptTrainLoan'] = array('ReceiptAjaxController', 'ajaxGetReceiptTrainLoan');

$route['*']['/receiptTrainLoanEdiDo'] = array('ReceiptController', 'receiptTrainLoanEdiDo');
$route['*']['/receiptTrainLoanRemoveDo/:ridKey/:ridLoanKey'] = array('ReceiptController', 'receiptTrainLoanRemoveDo','extension'=>'.html');

$route['*']['/receiptTrainInvoiceEdi/:rid'] = array('ReceiptController', 'receiptTrainInvoiceEdi','extension'=>'.html');
$route['*']['/ajaxGetInvoiceTrainByEnd'] = array('InvoiceAjaxController', 'ajaxGetInvoiceTrainByEnd');
$route['*']['/receiptTrainInvoiceEdiDo'] = array('ReceiptController', 'receiptTrainInvoiceEdiDo');

$route['*']['/receiptTrainReceivables/:doType'] = array('ReceiptController', 'receiptTrainReceivables');
$route['*']['/receiptTrainReceivablesDelDo'] = array('ReceiptController', 'receiptTrainReceivablesDelDo');

$route['*']['/receiptTrainItemEdi/:rid'] = array('ReceiptController', 'receiptTrainItemEdi','extension'=>'.html');
$route['*']['/receiptTrainItemAddDo'] = array('ReceiptController', 'receiptTrainItemAddDo');
$route['*']['/receiptTrainItemAddDo/:payType'] = array('ReceiptController', 'receiptTrainItemAddDo');
$route['*']['/receiptTrainItemDelDo/:riidKey/:ridKey'] = array('ReceiptExtendController', 'receiptTrainItemDelDo');

$route['*']['/receiptTrainItemEdiDo'] = array('ReceiptExtendController', 'receiptTrainItemEdiDo');
$route['*']['/receiptTrainItemEdiDo/:payType'] = array('ReceiptExtendController', 'receiptTrainItemEdiDo');


$route['*']['/receiptTrainAssistEdi/:rid'] = array('ReceiptExtendController', 'receiptTrainAssistEdi','extension'=>'.html');
$route['*']['/receiptTrainAssistAddDo'] = array('ReceiptExtendController', 'receiptTrainAssistAddDo');
$route['*']['/receiptTrainAssistDelDo/:aidKey/:ridKey'] = array('ReceiptExtendController', 'receiptTrainAssistDelDo');


$route['*']['/receiptTrainLecturerEdi/:rid'] = array('ReceiptController', 'receiptTrainLecturerEdi','extension'=>'.html');
$route['*']['/receiptTrainLecturerAddDo'] = array('ReceiptController', 'receiptTrainLecturerAddDo');
$route['*']['/receiptTrainLecturerDelDo'] = array('ReceiptController', 'receiptTrainLecturerDelDo');
$route['*']['/receiptTrainDo'] = array('ReceiptController', 'receiptTrainDo');

$route['*']['/receiptTrain/:ridKey'] = array('ReceiptExtendController', 'receiptTrain','extension'=>'.html');
$route['*']['/receiptTrain/:showType/:ridKey'] = array('ReceiptExtendController', 'receiptTrain','extension'=>'.html');
$route['*']['/receiptTrainLoan/:showType/:ridKey'] = array('ReceiptExtendController', 'receiptTrainLoan','extension'=>'.html');
$route['*']['/receiptTrainInvoice/:showType/:ridKey'] = array('ReceiptExtendController', 'receiptTrainInvoice','extension'=>'.html');
$route['*']['/receiptTrainItem/:showType/:ridKey'] = array('ReceiptExtendController', 'receiptTrainItem','extension'=>'.html');
$route['*']['/receiptTrainLecturer/:showType/:ridKey'] = array('ReceiptExtendController', 'receiptTrainLecturer','extension'=>'.html');
$route['*']['/receiptTrainApproval/:showType/:ridKey'] = array('ReceiptExtendController', 'receiptTrainApproval','extension'=>'.html');
$route['*']['/receiptTrainApprovalDo'] = array('ReceiptExtendController', 'receiptTrainApprovalDo');
$route['*']['/receiptTrainApprovalBackDo'] = array('ReceiptExtendController', 'receiptTrainApprovalBackDo');
$route['*']['/invoiceReceivablesStrikeAddDo'] = array('ReceiptExtendController', 'invoiceReceivablesStrikeAddDo');

$route['*']['/receiptTrainImplement/:ridKey'] = array('ReceiptExtendController', 'receiptTrainImplement','extension'=>'.html');
$route['*']['/receiptTrainImplementDo'] = array('ReceiptExtendController', 'receiptTrainImplementDo');
$route['*']['/receiptTrainImplementWateDo'] = array('ReceiptExtendController', 'receiptTrainImplementWateDo');

$route['*']['/ajaxSetRceiptAmountByRid'] = array('ReceiptAjaxController', 'ajaxSetRceiptAmountByRid');
$route['*']['/ajaxGetReceiptDetailByJson'] = array('ReceiptAjaxController', 'ajaxGetReceiptDetailByJson');

$route['*']['/receiptWasteBook'] = array('ReceiptExtendController', 'receiptWasteBook');
$route['*']['/receiptWasteBookAddDo'] = array('ReceiptExtendController', 'receiptWasteBookAddDo');
$route['*']['/exportReceiptTrainExcel'] = array('ReceiptExtendController', 'exportReceiptTrainExcel');

$route['*']['/receiptTrainRevenue'] = array('ReceiptExtendController', 'receiptTrainRevenue');
$route['*']['/receiptTrainRevenueAchieve'] = array('ReceiptExtendController', 'receiptTrainRevenueAchieve');
$route['*']['/receiptTrainRevenueAchieve/:page'] = array('ReceiptExtendController', 'receiptTrainRevenueAchieve');
$route['*']['/receiptTrainRevenueAchieve/:page/:paid'] = array('ReceiptExtendController', 'receiptTrainRevenueAchieve');



//添加客户
$route['*']['/addClientByCompany'] = array('MainController', 'addClientByCompany');



//邮件群发
$route['*']['/eMailTask'] = array('MainController', 'eMailTask');
$route['*']['/createEmail'] = array('MainController', 'createEmail');
$route['*']['/eMailList'] = array('MainController', 'eMailList');
$route['*']['/deleteEmail/:elid'] = array('MainController', 'deleteEmail');
$route['*']['/postEmail/:elid/:send'] = array('MainController', 'postEmail');
$route['*']['/eMialCenter'] = array('MainController', 'eMialCenter');
$route['*']['/authMail/:elid'] = array('MainController', 'authMail');
$route['*']['/email/edit/:elid'] = array('MainController', 'editMailView');
$route['*']['/showEmailContent/:elid'] = array('MainController', 'showEmailContent');
$route['*']['/editEmail'] = array('MainController', 'editEmail');


//短信群发
$route['*']['/sms'] = array('ExpandController', 'sms');
$route['*']['/sendSms'] = array('ExpandController', 'sendSms');
$route['*']['/createSms'] = array('ExpandController', 'createSms');
$route['*']['/smsList'] = array('ExpandController', 'smsList');
$route['*']['/smsCenter'] = array('ExpandController', 'smsCenter');
$route['*']['/sms/edit/:sid'] = array('ExpandController', 'editSmsView');
$route['*']['/editSms'] = array('ExpandController', 'editSms');
$route['*']['/authOrize/:kind/:sid'] = array('ExpandController', 'authOrize');
$route['*']['/sms/delete/:sid'] = array('ExpandController', 'delete');
$route['*']['/sendSms/:sid'] = array('ExpandController', 'sendSms');
$route['*']['/downLoadSms/:sid'] = array('ExpandController', 'downLoadSms');
$route['*']['/checkLongle'] = array('MainController', 'checkLongle');
$route['*']['/searchLongle'] = array('MainController', 'searchLongle');
$route['*']['/updateMyinfo'] = array('MainController', 'updateMyinfo');
$route['*']['/DoEdiTag'] = array('MainController', 'DoEdiTag');
$route['*']['/DoEdiTagCompany'] = array('MainController', 'DoEdiTagCompany');
$route['*']['/DoAddTag'] = array('MainController', 'DoAddTag');
$route['*']['/DoAddTagCompany'] = array('MainController', 'DoAddTagCompany');

$route['*']['/ajaxDeleteTagCompany'] = array('MainController', 'ajaxDeleteTagCompany');
$route['*']['/ajaxDeleteTag'] = array('MainController', 'ajaxDeleteTag');

$route['*']['/checkclicomname'] = array('MainController', 'checkclicomname');
$route['*']['/upload.do'] = array('MainController', 'lockUpload');
$route['*']['/addDoLock'] = array('MainController', 'adminAddLock');
$route['*']['/getStaffInfo'] = array('MainController', 'ajaxGetStaffInfo');
$route['*']['/getClientInfo'] = array('MainController', 'ajaxGetClientInfo');
$route['*']['/getClientInfoN'] = array('MainController', 'ajaxGetClientInfoN');
$route['*']['/getCompanyInfo'] = array('MainController', 'ajaxGetCompanyInfo');
$route['*']['/deleteToolTip'] = array('MainController', 'deleteToolTip');
$route['*']['/app'] = array('MainController', 'app');
$route['*']['/avatar'] = array('MainController', 'avatar');




//$route['*']['/synClient'] = array('MainController', 'synClient');
$route['*']['/ajaxExamine'] = array('ReceiptController', 'ajaxExamine');
$route['*']['/BUGFLAG'] = array('ReceiptController', 'BUGFLAG','authName' =>  'Hello', 'auth' => array('BF390' => 'BF390'));
$route['*']['/BUGFLAG/:status'] = array('ReceiptController', 'BUGFLAG', 'authName' =>  'Hello','auth' => array('BF390' => 'BF390'));
$route['*']['/BUGFLAG/:status/:page'] = array('ReceiptController', 'BUGFLAG','authName' =>  'Hello', 'auth' => array('BF390' => 'BF390'));

//APP
$route['*']['/api/login'] = array('MobileController', 'loginHttp');
$route['*']['/api/out'] = array('MobileController', 'outHttp');
$route['*']['/api/search'] = array('MobileController', 'searchHttp');
$route['*']['/api/clientDetail'] = array('MobileController', 'clientDetailHttp');
$route['*']['/api/district'] = array('MobileController', 'districtHttp');
$route['*']['/api/advancedSearch'] = array('MobileController', 'advancedSearchHttp');
$route['*']['/api/lockNo'] = array('MobileController', 'lockNoHttp');
$route['*']['/api/lockJournal'] = array('MobileController', 'lockJournalHttp');
$route['*']['/api/districtDetail'] = array('MobileController', 'districtDetailHttp');
$route['*']['/api/clientInfo'] = array('MobileController', 'clientInfoHttp');
$route['*']['/api/serviceLog'] = array('MobileController', 'serviceLogHttp');
$route['*']['/api/updateCompany'] = array('MobileController', 'updateCompanyHttp');
$route['*']['/api/searchCompany'] = array('MobileController', 'searchCompanyHttp');
$route['*']['/api/changeCompany'] = array('MobileController', 'changeCompanyHttp');
$route['*']['/api/getClient'] = array('MobileController', 'getClientHttp');
$route['*']['/api/getProudct'] = array('MobileController', 'getProudctHttp');
$route['*']['/api/getLongle'] = array('MobileController', 'getLongleHttp');
$route['*']['/api/addLockLog'] = array('MobileController', 'addLockLogHttp');
$route['*']['/api/getLongleId'] = array('MobileController', 'getLongleIdHttp');
$route['*']['/api/getClientByPhone'] = array('MobileController', 'getClientByPhoneHttp');
$route['*']['/api/information'] = array('MobileController', 'informationHttp');
$route['*']['/api/getStaff'] = array('MobileController', 'getStaffHttp');
$route['*']['/api/communication'] = array('MobileController', 'communicationHttp');
$route['*']['/api/editStaff'] = array('MobileController', 'editStaffHttp');
$route['*']['/api/getUser'] = array('MobileController', 'getUserHttp');
$route['*']['/api/getRemind'] = array('MobileController', 'getRemindHttp');
$route['*']['/api/remindCL'] = array('MobileController', 'remindCLHttp');
   
$route['*']['/api/interfaceDetail'] = array('MobileController', 'interfaceDetail');
$route['*']['/api/service'] = array('MobileController', 'service');
$route['*']['/api/addClientHttp'] = array('MobileController', 'addClientHttp');


$route['*']['/error'] = array('ErrorController', 'index');

//开票
$route['*']['/adminInvoice'] = array('AdminController', 'adminInvoice');
$route['*']['/addInvoiceManage'] = array('AdminController', 'addInvoiceManage');
$route['*']['/delInvoiceManage/:uid/:iid'] = array('AdminController', 'delInvoiceManage');
$route['*']['/adminInvoiceCategory'] = array('AdminController', 'adminInvoiceCategory');
$route['post']['/addInvoiceCategoryManage'] = array('AdminController', 'addInvoiceCategoryManage');
$route['get']['/delInvoiceCategoryManage/:sidKey/:icidKey'] = array('AdminController', 'delInvoiceCategoryManage');

$route['*']['/adminInvoiceCompany'] = array('AdminController', 'adminInvoiceCompany');
$route['post']['/addInvoiceCompanyManage'] = array('AdminController', 'addInvoiceCompanyManage');
$route['get']['/delInvoiceCompanyManage/:sidKey/:icidKey'] = array('AdminController', 'delInvoiceCompanyManage');

//普通
$route['*']['/invoice'] = array('InvoiceController', 'invoice');
$route['*']['/invoiceAdd'] = array('InvoiceController', 'invoiceAdd');
//退票重新开票
$route['*']['/invoiceUntreadAdd/:iidKey'] = array('InvoiceExtendController', 'invoiceUntreadAdd','extension'=>'.html');
$route['*']['/invoiceUntreadAddDo'] = array('InvoiceExtendController', 'invoiceUntreadAddDo');


$route['*']['/invoiceAdd/AUTOFILL'] = array('InvoiceController', 'invoiceAddFill');
$route['*']['/invoiceAddDo'] = array('InvoiceController', 'invoiceAddDo');
$route['post']['/invoiceDroppedDo'] = array('InvoiceController', 'invoiceDroppedDo');
$route['*']['/invoiceEdit/:iid'] = array('InvoiceController', 'invoiceEdit','extension'=>'.html');
$route['*']['/invoiceEditDo'] = array('InvoiceController', 'invoiceEditDo');
$route['get']['/invoiceDelDo/:iid'] = array('InvoiceController', 'invoiceDelDo','extension'=>'.do');
$route['get']['/invoiceMyReceivables'] = array('InvoiceController', 'invoiceMyReceivables');

$route['get']['/invoiceReceivablesClaim'] = array('InvoiceController', 'invoiceReceivablesClaim');
$route['post']['/invoiceReceivablesTitleMarkSet'] = array('InvoiceController', 'invoiceReceivablesTitleMarkSet');
$route['post']['/invoiceReceivablesAscription'] = array('InvoiceController', 'invoiceReceivablesAscription');
$route['post']['/invoiceBindReceivables'] = array('InvoiceController', 'invoiceBindReceivables');
$route['get']['/invoiceAchieve'] = array('InvoiceController', 'invoiceAchieve');
$route['get']['/invoiceAchieve/:page'] = array('InvoiceController', 'invoiceAchieve');
$route['get']['/invoiceAchieve/:page/:date'] = array('InvoiceController', 'invoiceAchieve');
$route['get']['/invoiceAchieve/:page/:date/:MebSea'] = array('InvoiceController', 'invoiceAchieve');

$route['get']['/invoiceReceivablesAchieve'] = array('InvoiceController', 'invoiceReceivablesAchieve');
$route['get']['/invoiceReceivablesAchieve/:page'] = array('InvoiceController', 'invoiceReceivablesAchieve');
$route['get']['/invoiceReceivablesAchieve/:page/:date'] = array('InvoiceController', 'invoiceReceivablesAchieve');
$route['get']['/invoiceReceivablesAchieve/:page/:date/:MebSea'] = array('InvoiceController', 'invoiceReceivablesAchieve');

$route['*']['/invoiceTraining'] = array('InvoiceController', 'invoiceTraining');
$route['post']['/invoiceTrainingAdd'] = array('InvoiceController', 'invoiceTrainingAdd');
$route['*']['/invoiceTrainingDetail/:trainingKey'] = array('InvoiceController', 'invoiceTrainingDetail','extension'=>'.html');
$route['post']['/invoiceTrainingDelDo'] = array('InvoiceController', 'invoiceTrainingDelDo');

$route['*']['/invoiceTrainingUpload'] = array('InvoiceController', 'invoiceTrainingUpload');
$route['*']['/invoiceStoreImport'] = array('InvoiceController', 'invoiceStoreImport');
$route['*']['/invoiceStoreEdit/:storeKey'] = array('InvoiceController', 'invoiceStoreEdit','extension'=>'.html');
$route['post']['/invoiceStoreEditDo'] = array('InvoiceController', 'invoiceStoreEditDo');
$route['post']['/invoiceStoreDelete'] = array('InvoiceController', 'invoiceStoreDelete');
$route['post']['/invoiceStoreApproval'] = array('InvoiceController', 'invoiceStoreApproval');

$route['post']['/invoiceStoreMailItemSet'] = array('InvoiceController', 'invoiceStoreMailItemSet');
$route['post']['/invoiceStoreBatchDelete'] = array('InvoiceController', 'invoiceStoreBatchDelete');
$route['post']['/invoiceStoreBatchMailItemSet'] = array('InvoiceController', 'invoiceStoreBatchMailItemSet');
$route['post']['/invoiceStoreBatchApproval'] = array('InvoiceController', 'invoiceStoreBatchApproval');

$route['post']['/invoiceSettlementChange'] = array('InvoiceExtendController', 'invoiceSettlementChange');



$route['post']['/ajaxGetInvoiceByNew'] = array('InvoiceController', 'ajaxGetInvoiceByNew');
$route['post']['/ajaxGetMailItemByIstore'] = array('InvoiceController', 'ajaxGetMailItemByIstore');



$route['post']['/ajaxGetInvoiceInfoByType'] = array('InvoiceController', 'ajaxGetInvoiceInfoByType');
$route['post']['/ajaxGetInvoiceReceivables'] = array('InvoiceController', 'ajaxGetInvoiceReceivables');

$route['post']['/ajaxGetInvoice'] = array('InvoiceAjaxController', 'ajaxGetInvoice');

//发票信息库获得数据
$route['*']['/autoFillInIFB'] = array('InvoiceAjaxController', 'autoFillInIFB');



//$route['post']['/ajaxGetInvoiceByStaff'] = array('InvoiceController', 'ajaxGetInvoiceByStaff');废弃

$route['post']['/ajaxCompareInvoicePrice'] = array('InvoiceController', 'ajaxCompareInvoicePrice');
//普通新加路由
$route['get']['/invoiceUntreadIsAchieve'] = array('InvoiceController', 'invoiceUntreadIsAchieve');
$route['get']['/invoiceUntreadIsAchieve/:page'] = array('InvoiceController', 'invoiceUntreadIsAchieve');
$route['get']['/invoiceMyUnAccountAchieve'] = array('InvoiceController', 'invoiceMyUnAccountAchieve');
$route['get']['/invoiceMyUnAccountAchieve/:page'] = array('InvoiceController', 'invoiceMyUnAccountAchieve');

$route['post']['/invoiceUntreadMailDo'] = array('InvoiceController', 'invoiceUntreadMailDo');

$route['post']['/ajaxCheckInvoiceNoUniqueness'] = array('InvoiceController', 'ajaxCheckInvoiceNoUniqueness');

$route['*']['/testSend'] = array('InvoiceController', 'testSend');

$route['*']['/invoiceExpress/:expressCom/:expressNumber'] = array('InvoiceController', 'invoiceExpress','extension'=>'.html');

//删除核销相关操作
$route['post']['/invoiceUntreadDo'] = array('InvoiceController', 'invoiceUntreadDo');
$route['post']['/ajaxGetReceivalblesByStaff'] = array('InvoiceController', 'ajaxGetReceivalblesByStaff');
$route['post']['/ajaxCompareClaimPrice'] = array('InvoiceController', 'ajaxCompareClaimPrice');
$route['post']['/ajaxReceivablesRemove'] = array('InvoiceController', 'ajaxReceivablesRemove');
$route['post']['/invoiceEnterReceivables'] = array('InvoiceController', 'invoiceEnterReceivables');

//发票审批

$route['*']['/invoiceApproval'] = array('InvoiceController', 'invoiceApproval');
$route['*']['/invoiceDetail/:iid'] = array('InvoiceController', 'invoiceDetail','extension'=>'.html');
$route['*']['/invoiceApprovalDo'] = array('InvoiceController', 'invoiceApprovalDo');
// $route['get']['/invoiceApprovalAchieve'] = array('InvoiceController', 'invoiceApprovalAchieve');
// $route['get']['/invoiceApprovalAchieve/:page'] = array('InvoiceController', 'invoiceApprovalAchieve');
// $route['get']['/invoiceApprovalAchieve/:page/:date'] = array('InvoiceController', 'invoiceApprovalAchieve');
// $route['get']['/invoiceApprovalAchieve/:page/:date/:MebSea'] = array('InvoiceController', 'invoiceApprovalAchieve');


$route['get']['/invoiceApprovalAchieve'] = array('InvoiceController', 'invoiceApprovalAchieve');
$route['get']['/invoiceApprovalAchieve/:status'] = array('InvoiceController', 'invoiceApprovalAchieve');
$route['get']['/invoiceApprovalAchieve/:status/:MebSea'] = array('InvoiceController', 'invoiceApprovalAchieve');
$route['post']['/ajaxGetinvoiceApprovalAchieve'] = array('InvoiceController', 'ajaxGetinvoiceApprovalAchieve');

$route['post']['/ajaxGetInvoiceApprovalDetail'] = array('InvoiceController', 'ajaxGetInvoiceApprovalDetail');


//新加信息推送
$route['get']['/ajaxInvoicePushNotice'] = array('InvoiceController', 'ajaxInvoicePushNotice');


//发票打印
$route['*']['/invoicePrint'] = array('InvoiceController', 'invoicePrint');
$route['*']['/invoicePrintDetail/:iid'] = array('InvoiceController', 'invoicePrintDetail','extension'=>'.html');
$route['*']['/invoicePrintDo'] = array('InvoiceController', 'invoicePrintDo');

$route['*']['/invoicePrintStayAchieve'] = array('InvoiceController', 'invoicePrintStayAchieve');
$route['*']['/invoicePrintStayAchieve/:page/:status'] = array('InvoiceController', 'invoicePrintStayAchieve');

$route['*']['/invoicePrintStayAchieve/:page/:status/:MebSea'] = array('InvoiceController', 'invoicePrintStayAchieve');

$route['get']['/invoicePrintAchieve'] = array('InvoiceController', 'invoiceTAchieve');
$route['get']['/invoicePrintAchieve/:page'] = array('InvoiceController', 'invoiceTAchieve');
$route['get']['/invoicePrintAchieve/:page/:date'] = array('InvoiceController', 'invoiceTAchieve');
$route['get']['/invoicePrintAchieve/:page/:date/:MebSea'] = array('InvoiceController', 'invoiceTAchieve');

$route['post']['/ajaxGetInvoiceInfoByPrint'] = array('InvoiceController', 'ajaxGetInvoiceInfoByPrint');


//发票邮寄
$route['*']['/invoicePost'] = array('InvoiceController', 'invoicePost');
$route['*']['/invoiceExpressAddDo'] = array('InvoiceController', 'invoiceExpressAddDo');
$route['post']['/ajaxGetInvoicePostDetail'] = array('InvoiceController', 'ajaxGetInvoicePostDetail');
$route['post']['/invoiceExpressUpdateDo'] = array('InvoiceController', 'invoiceExpressUpdateDo');

$route['get']['/invoicePostAchieve'] = array('InvoiceController', 'invoiceTAchieve');
$route['get']['/invoicePostAchieve/:page'] = array('InvoiceController', 'invoiceTAchieve');
$route['get']['/invoicePostAchieve/:page/:date'] = array('InvoiceController', 'invoiceTAchieve');
$route['get']['/invoicePostAchieve/:page/:date/:MebSea'] = array('InvoiceController', 'invoiceTAchieve');


//发票退票
$route['get']['/invoiceUntread'] = array('InvoiceController', 'invoiceUntread');
$route['post']['/invoiceUntreadEstablishedDo'] = array('InvoiceController', 'invoiceUntreadEstablishedDo');

$route['get']['/invoiceUntreadAchieve'] = array('InvoiceController', 'invoiceTAchieve');
$route['get']['/invoiceUntreadAchieve/:page'] = array('InvoiceController', 'invoiceTAchieve');
$route['get']['/invoiceUntreadAchieve/:page/:date'] = array('InvoiceController', 'invoiceTAchieve');
$route['get']['/invoiceUntreadAchieve/:page/:date/:MebSea'] = array('InvoiceController', 'invoiceTAchieve');

$route['get']['/invoiceUntreadED'] = array('InvoiceController', 'invoiceUntreadED');
$route['get']['/invoiceUntreadED/:page'] = array('InvoiceController', 'invoiceUntreadED');

$route['get']['/invoiceUntreadRecallDo/:iidKey'] = array('InvoiceController', 'invoiceUntreadRecallDo');


//新加路由
$route['post']['/invoiceLossDo'] = array('InvoiceController', 'invoiceLossDo');


//收款管理
$route['*']['/invoiceReceivables'] = array('InvoiceController', 'invoiceReceivables');


$route['post']['/invoiceReceivablesDo'] = array('InvoiceController', 'invoiceReceivablesDo');
$route['post']['/invoiceReceivablesUpdateClaim'] = array('InvoiceController', 'invoiceReceivablesUpdateClaim');
$route['post']['/invoiceReceivablesDelete'] = array('InvoiceController', 'invoiceReceivablesDelete');

$route['post']['/ajaxGetStaffByCategory'] = array('InvoiceController', 'ajaxGetStaffByCategory');
$route['post']['/ajaxGetInvoiceReceivablesByStaff'] = array('InvoiceController', 'ajaxGetInvoiceReceivablesByStaff');

$route['get']['/invoiceReceivablesAS'] = array('InvoiceController', 'invoiceReceivablesAS');
$route['get']['/invoiceReceivablesAS/:page'] = array('InvoiceController', 'invoiceReceivablesAS');
$route['get']['/invoiceReceivablesAS/:page/:status'] = array('InvoiceController', 'invoiceReceivablesAS');

$route['get']['/invoiceAS'] = array('InvoiceController', 'invoiceAS');
$route['get']['/invoiceAS/:page'] = array('InvoiceController', 'invoiceAS');
$route['get']['/invoiceAS/:page/:status'] = array('InvoiceController', 'invoiceAS');

$route['post']['/invoiceUnBundLing'] = array('InvoiceController', 'invoiceUnBundLing');
//开发中
$route['*']['/invoiceReceivablesBankUpload'] = array('InvoiceController', 'invoiceReceivablesBankUpload');
$route['*']['/invoiceReceivablesImport'] = array('InvoiceController', 'invoiceReceivablesImport');

$route['post']['/setInvoiceReceivablesRefund'] = array('InvoiceController', 'setInvoiceReceivablesRefund');

$route['post']['/getRefundByDetail'] = array('InvoiceController', 'getRefundByDetail');
$route['post']['/ajaxGetInvoiceReceivablesBySerial'] = array('InvoiceController', 'ajaxGetInvoiceReceivablesBySerial');
$route['post']['/relationNewInvoiceReceivables'] = array('InvoiceController', 'relationNewInvoiceReceivables');
$route['get']['/delInvoiceReceivables/:iridKey'] = array('InvoiceController', 'delInvoiceReceivables');

$route['post']['/ajaxCheckInvoiceReceivablesRefund'] = array('InvoiceController', 'ajaxCheckInvoiceReceivablesRefund');



// $route['get']['/invoiceReceivablesAS/:page/:status/:year'] = array('InvoiceController', 'invoiceReceivablesAS');
// $route['get']['/invoiceReceivablesAS/:page/:status/:year/:month'] = array('InvoiceController', 'invoiceReceivablesAS');
// $route['get']['/invoiceReceivablesAS/:page/:status/:year/:month/:MebSea'] = array('InvoiceController', 'invoiceReceivablesAS');

//收款管理新加路由
$route['post']['/invoiceCompareClaimPrice'] = array('InvoiceController', 'invoiceCompareClaimPrice');
$route['post']['/ajaxGetInvoiceReceivablesByIrid'] = array('InvoiceController', 'ajaxGetInvoiceReceivablesByIrid');
$route['post']['/ajaxGetInvoiceReceivablesByTitle'] = array('InvoiceController', 'ajaxGetInvoiceReceivablesByTitle');
$route['post']['/ajaxCheckInvoicePrice'] = array('InvoiceController', 'ajaxCheckInvoicePrice');
$route['post']['/ajaxGetInvoiceReceivablesByInvoice'] = array('InvoiceController', 'ajaxGetInvoiceReceivablesByInvoice');

$route['post']['/setInvoiceReceivablesClaim'] = array('InvoiceController', 'setInvoiceReceivablesClaim');


//公司汇总查阅
$route['*']['/invoiceAggregate'] = array('InvoiceController', 'invoiceAggregate');
$route['*']['/invoiceAggregateStaff'] = array('InvoiceController', 'invoiceAggregateStaff');
$route['*']['/invoiceAggregateCategory/:cid'] = array('InvoiceController', 'invoiceAggregateCategory');

//办事处汇总
$route['*']['/invoiceAggregateCategoryDetail'] = array('InvoiceController', 'invoiceAggregateCategoryDetail');

$route['*']['/invoiceAggregateStaffDetail'] = array('InvoiceController', 'invoiceAggregateStaffDetail');
$route['*']['/invoiceAggregateStaffDetail/:page/:status'] = array('InvoiceController', 'invoiceAggregateStaffDetail');
$route['*']['/invoiceAggregateStaffReceivablesDetail'] = array('InvoiceController', 'invoiceAggregateStaffReceivablesDetail');
$route['*']['/invoiceAggregateStaffReceivablesDetail/:page/:status'] = array('InvoiceController', 'invoiceAggregateStaffReceivablesDetail');

//应收款
$route['*']['/invoiceAggregateCompanyDetail'] = array('InvoiceController', 'invoiceAggregateCompanyDetail');
$route['*']['/invoiceAggregateCompanyDetail/:page/:status'] = array('InvoiceController', 'invoiceAggregateCompanyDetail');


//纸票管理
$route['*']['/invoicePaper'] = array('InvoiceController', 'invoicePaper');
$route['*']['/invoicePaperAdd'] = array('InvoiceController', 'invoicePaperAdd');
$route['*']['/invoicePaperDel/:ipidKey'] = array('InvoiceController', 'invoicePaperDel');
$route['*']['/ajaxGetinvoicePaperAchieve'] = array('InvoiceController', 'ajaxGetinvoicePaperAchieve');


//数据导入
$route['*']['/importInvoice'] = array('InvoiceController', 'importInvoice');
$route['*']['/uploadInvoice'] = array('InvoiceController', 'uploadInvoice');
$route['*']['/importInvoiceDo'] = array('InvoiceController', 'importInvoiceDo');

$route['*']['/importInvoiceReceivables'] = array('InvoiceController', 'importInvoiceReceivables');
$route['*']['/importInvoiceReceivablesDo'] = array('InvoiceController', 'importInvoiceReceivablesDo');

//人资系统
$route['*']['/settingEmployeeInfo'] = array('SettingController', 'settingEmployeeInfo');
$route['*']['/settingCredentialInfo'] = array('SettingController', 'settingCredentialInfo');
$route['*']['/settingFinanceInfo'] = array('SettingController', 'settingFinanceInfo');
$route['*']['/settingPW'] = array('SettingController', 'settingPW');
$route['*']['/settingPW/:msg'] = array('SettingController', 'settingPW');
$route['*']['/updateMyPW'] = array('SettingController', 'updateMyPW');
$route['*']['/notificationConf'] = array('SettingController', 'notificationConf');
$route['*']['/ajaxSetNotificationConf'] = array('SettingController', 'ajaxSetNotificationConf');
$route['post']['/staffUpdate'] = array('SettingController', 'staffUpdate');
$route['post']['/settingCredentialInfoDo'] = array('SettingController', 'settingCredentialInfoDo');

$route['*']['/settingAvatarInfo'] = array('SettingController', 'settingAvatarInfo');
$route['*']['/settingAvatar'] = array('SettingController', '_settingAvatar');



$route['post']['/settingCredentialInfoTypeDo/:hunTian'] = array('SettingController', 'settingCredentialInfoTypeDo');
$route['get']['/delCredentialType/:hunTian/:name'] = array('SettingController', 'delCredentialType');


$route['*']['/appliedDimission'] = array('HumanResourceController', 'appliedDimission');
$route['*']['/employeeDismiss'] = array('HumanResourceController', 'employeeDismiss');
$route['post']['/employeeReentry'] = array('HumanResourceController', 'employeeReentry');

$route['post']['/appliedRegular'] = array('HumanResourceController', 'appliedRegular');


$route['*']['/hrEmployee'] = array('HumanResourceController', 'hrEmployee');
$route['post']['/staffAdd'] = array('HumanResourceController', 'staffAdd');

$route['post']['/staffTransfer'] = array('HumanResourceController', 'staffTransfer');

$route['get']['/employeeApprovals'] = array('HumanResourceController', 'employeeApprovals');
$route['post']['/employeeApprovalsAdd'] = array('HumanResourceController', 'employeeApprovalsAdd');
$route['post']['/employeeCCAdd'] = array('HumanResourceController', 'employeeCCAdd');
$route['post']['/employeeInductionApprovals'] = array('HumanResourceController', 'employeeInductionApprovals');
$route['post']['/employeeDimissionApprovals'] = array('HumanResourceController', 'employeeDimissionApprovals');

$route['get']['/reentryApprovals'] = array('HumanResourceController', 'reentryApprovals');
$route['post']['/reentryApprovalsAdd'] = array('HumanResourceController', 'reentryApprovalsAdd');
$route['post']['/reentryCCAdd'] = array('HumanResourceController', 'reentryCCAdd');
$route['post']['/employeeReentryApply'] = array('HumanResourceController', 'employeeReentryApply');
$route['post']['/employeeReentryApprovals'] = array('HumanResourceController', 'employeeReentryApprovals');



$route['get']['/leaveOfficeApprovals'] = array('HumanResourceController', 'leaveOfficeApprovals');
$route['post']['/employeeleaveCCAdd'] = array('HumanResourceController', 'employeeleaveCCAdd');
$route['post']['/employeeleaveApprovalsAdd'] = array('HumanResourceController', 'employeeleaveApprovalsAdd');
$route['post']['/appliedEntry'] = array('HumanResourceController', 'appliedEntry');
$route['get']['/hr'] = array('HumanResourceController', 'hr');

$route['get']['/regularApprovals'] = array('HumanResourceController', 'regularApprovals');
$route['post']['/employeRegularApprovalsAdd'] = array('HumanResourceController', 'employeRegularApprovalsAdd');
$route['post']['/employeRegularCCAdd'] = array('HumanResourceController', 'employeRegularCCAdd');

$route['post']['/employeeRegularApprovals'] = array('HumanResourceController', 'employeeRegularApprovals');



$route['get']['/promoteApprovals'] = array('HumanResourceController', 'promoteApprovals');
$route['post']['/promoteApprovalsAdd'] = array('HumanResourceController', 'promoteApprovalsAdd');
$route['post']['/promoteApprovalsCCAdd'] = array('HumanResourceController', 'promoteApprovalsCCAdd');


$route['post']['/ajaxGetStaffInfoByType'] = array('HumanResourceController', 'ajaxGetStaffInfoByType');
$route['post']['/ajaxGetStaffInfoBySid'] = array('HumanResourceController', 'ajaxGetStaffInfoBySid');
$route['post']['/ajaxGetDistrictByLv1'] = array('HumanResourceController', 'ajaxGetDistrictByLv1');

//晋升
$route['post']['/ajaxGetPromotionStaffByPid'] = array('HumanResourceController', 'ajaxGetPromotionStaffByPid');
$route['post']['/appliedPromote'] = array('HumanResourceController', 'appliedPromote');



//人资权限管理
$route['*']['/hrEmployeeApprovalsSetting'] = array('HumanResourceController', 'hrEmployeeApprovalsSetting');
$route['*']['/hrEmployeeAccess'] = array('HumanResourceController', 'hrEmployeeAccess');
$route['*']['/addUserDistrictAuthor'] = array('HumanResourceController', 'addUserDistrictAuthor');

//岗位设置
$route['*']['/position'] = array('HumanResourceController', 'position');
$route['*']['/positionAdd'] = array('HumanResourceController', 'positionAdd');
$route['*']['/positionUpdate'] = array('HumanResourceController', 'positionUpdate');
$route['*']['/positionDelete'] = array('HumanResourceController', 'positionDelete');

$route['*']['/employeePromoteApprovals'] = array('HumanResourceController', 'employeePromoteApprovals');


$route['*']['/loadCVS'] = array('AdminController', 'loadCVS');


$route['*']['/ajaxGetStaffByPid'] = array('HumanResourceController', 'ajaxGetStaffByPid');
$route['*']['/ajaxGetPositionByPid'] = array('HumanResourceController', 'ajaxGetPositionByPid');






//假期管理
$route['*']['/myList'] = array('HolidayController', 'myList');
$route['*']['/myList/:yearnum'] = array('HolidayController', 'myList');
$route['*']['/holidaygroup'] = array('AdminController', 'holidayGroup');
$route['*']['/addholidayapprover'] = array('AdminController', 'addHolidayApprover');
$route['*']['/delholidaygroup'] = array('AdminController', 'delHolidayGroup');
$route['*']['/hcsgroup'] = array('AdminController', 'holidayCSGroup');
$route['*']['/getstaffcategory'] = array('HolidayController', 'getStaffCategory');
$route['*']['/getholidaystaff'] = array('HolidayController', 'getHolidayStaff');
$route['*']['/addhcsgroup'] = array('AdminController', 'addHolidayCS');
$route['*']['/delhcsgroup'] = array('AdminController', 'delHolidayCS');
$route['*']['/holidayadmin'] = array('AdminController', 'HolidayAdmin');
$route['*']['/addholidayadmin'] = array('AdminController', 'addHolidayAdmin');
$route['*']['/delholidayadmin'] = array('AdminController', 'delHolidayAdmin');
$route['*']['/setholidaysee'] = array('AdminController', 'setHolidaySee');

$route['*']['/holidayborad'] = array('HolidayController', 'holidayBorad');
$route['*']['/holidayallList'] = array('HolidayController', 'allList');
$route['*']['/holidayallList/type/:type'] = array('HolidayController', 'allList');
$route['*']['/holidayallList/page/:pindex'] = array('HolidayController', 'allList');
$route['*']['/holidayallList/type/:type/page/:pindex'] = array('HolidayController', 'allList');

$route['*']['/holidayclose'] = array('HolidayController', 'holidayClose');
$route['*']['/holidayclose/year/:year/month/:month'] = array('HolidayController', 'holidayClose');
$route['*']['/holidayclose2'] = array('HolidayController', 'holidayClose2');
$route['*']['/holidayclose2/year/:year/month/:month'] = array('HolidayController', 'holidayClose2');

$route['*']['/holidayovertime'] = array('HolidayController', 'holidayOvertime');
$route['*']['/holidayovertime/:cid/year/:year/month/:month'] = array('HolidayController', 'holidayOvertime');
$route['*']['/holidayovertime/year/:year/month/:month'] = array('HolidayController', 'holidayOvertime');
$route['*']['/addholiday'] = array('HolidayController', 'addHoliday');
$route['*']['/addholiday2'] = array('HolidayController', 'addHoliday2');

$route['*']['/holidayvacation'] = array('HolidayController', 'holidayVacation');
$route['*']['/holidayvacation/:cid'] = array('HolidayController', 'holidayVacation');
$route['*']['/setstaffholiday'] = array('HolidayController', 'setStaffHoliday');
$route['*']['/holidayattendance'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/page/:pindex'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/day/:day'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/day/:day/page/:pindex'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/cate/:cate'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/cate/:cate/page/:pindex'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/day/:day/cate/:cate'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/day/:day/cate/:cate/page/:pindex'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/type/:type'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/type/:type/page/:pindex'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/cate/:cate/type/:type'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/cate/:cate/type/:type/page/:pindex'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/day/:day/type/:type'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/day/:day/type/:type/page/:pindex'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/day/:day/cate/:cate/type/:type'] = array('HolidayController', 'holidayAttendance');
$route['*']['/holidayattendance/day/:day/cate/:cate/type/:type/page/:pindex'] = array('HolidayController', 'holidayAttendance');

$route['*']['/holidayapprovalList'] = array('HolidayController', 'holidayApprovalList');

// 建筑-CLD接口
$route['*']['/api/building/category/staff/:cid'] = array('BuildingApiController', 'categoryStaff');
$route['*']['/api/building/staff/list'] = array('BuildingApiController', 'StaffList');

// 建筑激活码
$route['*']['/building'] = array('BuildingController', 'index');
//$route['*']['/building/compilation/:pid'] = array('BuildingController', 'index');
//$route['*']['/building/year/:year'] = array('BuildingController', 'index');
//$route['*']['/building/year/:year/month/:month'] = array('BuildingController', 'index');
//$route['*']['/building/category/:cid'] = array('BuildingController', 'index');
//$route['*']['/building/category/:cid/staff/:sid'] = array('BuildingController', 'index');
//
//$route['*']['/building/compilation/:pid/year/:year'] = array('BuildingController', 'index');
//$route['*']['/building/compilation/:pid/year/:year/month/:month'] = array('BuildingController', 'index');
//$route['*']['/building/compilation/:pid/year/:year/month/:month/category/:cid'] = array('BuildingController', 'index');
//$route['*']['/building/compilation/:pid/year/:year/month/:month/category/:cid/staff/:sid'] = array('BuildingController', 'index');
//$route['*']['/building/year/:year/category/:cid'] = array('BuildingController', 'index');
//$route['*']['/building/year/:year/category/:cid/staff/:sid'] = array('BuildingController', 'index');
//$route['*']['/building/year/:year/month/:month/category/:cid'] = array('BuildingController', 'index');
//$route['*']['/building/year/:year/month/:month/category/:cid/staff/:sid'] = array('BuildingController', 'index');
//$route['*']['/building/compilation/:pid/category/:cid'] = array('BuildingController', 'index');
//$route['*']['/building/compilation/:pid/category/:cid/staff/:sid'] = array('BuildingController', 'index');

// 建筑页面ajax接口
$route['*']['/building/getStaffMsg'] = array('BuildingController', 'getStaffMsg');
$route['*']['/building/getBuildMsg'] = array('BuildingController', 'getBuildMsg');
$route['*']['/building/getClientMsg'] = array('BuildingController', 'getClientMsg');
$route['*']['/building/checkMobile'] = array('BuildingController', 'checkMobile');
$route['*']['/building/getBuildList'] = array('BuildingController', 'getBuildList');

$route['*']['/building/setUserCompilation'] = array('BuildingController', 'setUserCompilation');
$route['*']['/building/setUserClient'] = array('BuildingController', 'setUserClient');

// 启动器-CLD接口
$route['*']['/api/startup/keynum'] = array('StartUpController', 'getKeyNum');

// 计量支付后台登录
$route['*']['/api/auth'] = array('BuildingApiController', 'auth');

?>